## python-consul 0.7.1

=== requirements.txt ===
requests>=2.0
six>=1.4

=== debian/changelog ===
python-consul (0.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jun 2022 21:58:32 -0400

python-consul (0.7.1-1) unstable; urgency=low

  * First packaging of python-consul (Closes: #826550).

 -- Olivier Sallou <osallou@debian.org>  Mon, 07 Aug 2017 09:37:05 +0000

=== debian/control ===
Source: python-consul
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-requests,
               python3-six
Standards-Version: 4.0.0
Homepage: https://github.com/cablehead/python-consul
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-consul
Vcs-Git: https://salsa.debian.org/python-team/packages/python-consul.git

Package: python3-consul
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-tornado, python3-twisted
XB-Python-Egg-Name: consul
Description: Python client for Consul.io - Python 3.X
 Consul is a service discovery and configuration tool.
 This package contains the Python client library for Consul

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_TEST_ARGS=--ignore=tests/test_aio.py --ignore=tests/test_twisted.py --ignore=tests/test_std.py --ignore=tests/test_tornado.py
export PYBUILD_NAME=python-consul
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-consul 1.5.1%2Bdfsg

=== debian/changelog ===
python-consul (1.5.1+dfsg-1) unstable; urgency=medium

  * Team Upload
  * Original project is archived, switch to recommended maintained fork
  * New upstream version 1.5.1 (Closes: #909311)
  * Repack to drop tests/consul-*.linux64 binaries
  * Disable most tests until consul.io is packaged
  * Remove old build-dep on python3-six
  * Set +Rules-Requires-Root: no
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 12:28:26 +0200

## python-consul 1.5.1+dfsg

=== debian/control ===
Source: python-consul
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-aiohttp,
               python3-all,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytest-cov,
               python3-pytest-rerunfailures,
               python3-pytest-xdist,
               python3-setuptools,
               python3-requests,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/cablehead/python-consul
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-consul
Vcs-Git: https://salsa.debian.org/python-team/packages/python-consul.git

Package: python3-consul
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-tornado, python3-twisted
Description: Python client for Consul.io
 Consul is a service discovery and configuration tool.
 This package contains the Python client library for Consul

## python-consul 1.5.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-consul.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-consul.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-consul"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-consul"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-consul (1.5.5-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.5.5
  * Refresh patches.
  * Remove exclusion of consul binaries: upstream doesn't distribute them.
  * Update Standards-Version to 4.7.2; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 24 Mar 2025 21:35:28 +0100

## python-consul 1.6.0

=== debian/changelog ===
python-consul (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 10 Oct 2025 00:14:24 +0100

python-consul (1.6.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.6.0

 -- IanLucca <ian.lucca.mesquita@gmail.com>  Sat, 05 Jul 2025 17:06:16 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-requests,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/cablehead/python-consul
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-consul
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-consul.git

=== debian/rules ===
#! /usr/bin/make -f

# most tests needs consul.io to be packaged (FileNotFoundError)
export PYBUILD_TEST_ARGS= -k '    not test_acl_token_permission_denied \
                              and not test_acl_token_list \
                              and not test_acl_token_read \
                              and not test_acl_token_create \
                              and not test_acl_token_clone \
                              and not test_acl_token_update \
                              and not test_acl_policy_list \
                              and not test_acl_policy_read \
                              and not test_agent_checks \
                              and not test_service_multi_check \
                              and not test_service_dereg_issue_156 \
                              and not test_agent_checks_service_id \
                              and not test_agent_register_check_no_service_id \
                              and not test_agent_register_enable_tag_override \
                              and not test_agent_service_maintenance \
                              and not test_agent_node_maintenance \
                              and not test_agent_members \
                              and not test_agent_self \
                              and not test_agent_services \
                              and not test_coordinate \
                              and not test_event \
                              and not test_event_targeted \
                              and not test_health_service \
                              and not test_health_state \
                              and not test_health_service \
                              and not test_health_state \
                              and not test_health_node \
                              and not test_health_checks \
                              and not test_kv \
                              and not test_kv_wait \
                              and not test_kv_encoding \
                              and not test_kv_put_cas \
                              and not test_kv_put_flags \
                              and not test_kv_recurse \
                              and not test_kv_delete \
                              and not test_kv_delete_cas \
                              and not test_kv_acquire_release \
                              and not test_kv_keys_only \
                              and not test_kv_acquire_release \
                              and not test_kv_keys_only \
                              and not test_operator \
                              and not test_session \
                              and not test_session_delete_ttl_renew \
                              and not test_status_leader \
                              and not test_status_peers \
                              and not test_transaction \
                              and not test_consul_ctor \
                              and not test_acl_token_delete \
                              '

export PYBUILD_NAME=python-consul

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installdeb:
	rm -rvf debian/python3-consul/usr/lib/python3/dist-packages/docs/

=== debian/watch ===
version=4
opts="repack,compression=xz,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-consul-$1\.tar\.gz/" \
  https://github.com/criteo/py-consul/tags .*/v?(\d\S+)\.tar\.gz
